package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum InvoiceTypeEnum {
    /**
     * 发票类型，01专票，03机动车，08电子专票，04普票，10电票，11卷票，14通行费，17海关缴款书，
     */

    A("01", "增值税专用发票"), B("03", "机动车销售统一发票 "), C("08", "增值税电子专用发票"), D("04", "增值税普通发票"), E("10", "增值税电子普通发票"),
    F("11", "卷票"), G("14", "增值税通行费发票"), H("17", "海关缴款书");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (InvoiceTypeEnum materialEnum : InvoiceTypeEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
